# RASDummy
"""A simple test analyzer, shouldn't ship with production code."""

import logging
import sys

from RASutils import EventManager as REM

sys.modules[__name__].HP = True

class RASDummy(object):

    @classmethod
    def HowdyDoody(cls, cbdata=None):
        """Event loop timeout callback"""
        logging.debug("It's Howdy Doody time!")
        return False    # don't reschedule

    @staticmethod
    def Setup():
        """Set up the event loop timeout callback"""
        logging.debug("Set 3-second timeout")
        REM.TimeoutAdd(3, RASDummy.HowdyDoody)
        # FIXME add an atexit handler

#############################################################################

def setup(notused_fromMain=False):
    """Set up one quick callback and an atexit handler."""
    RASDummy.Setup()

if __name__ == "__main__":
    Setup(True)
